/*

ESUP-portail is a french academic project developed under the GPL (General Public License)
augmented according to the following :

A binary or source file developped by ESUP-portail can be used or compiled with products under Apache license.

The official english text of the GPL can be found here : http://www.gnu.org/licenses/gpl.html .

A non official french translation can be found here : http://www.linux-France.org/article/these/gpl.html .

The different kinds of licenses governing the products developed by the Apache
foundation can be found here : http://www.apache.org/licenses .

It follows that you can as well as use download contents as well modify and redistribute
them provided you respect the GPL terms.

Downloading and using such contents do not provide any guaranty.

Be sure that you have well understood the terms of the license before using the contents it covers.

The ESUP-portail distribution includes the following distributions :

* UPortal :
software developed by JA-SIG (Java Architecture - Special Interest Group)
You can find the license page here : http://mis105.udel.edu/ja-sig/uportal/license.html

* CAS :
SSO solution developed by Yale University
You can find the project page here : http://www.yale.edu/tp/auth

* Cocoon :
XML framework distributed by the Apache foundation under Apache license;
Please find the full text here : http://cocoon.apache.org/2.1/license.html

* Mod_dav:
A DAV module for Apache web server
You can find the project page here : http://www.webdav.org/mod_dav

* IMP :
webmail from Horde application framework
You can find the project page here : http://www.horde.org
*/
package org.esupportail.portal.channels.CAnnuaire;

import java.util.Enumeration;
import java.util.Vector;

import org.jasig.portal.ChannelStaticData;
import org.jasig.portal.IServant;

public class CAnnuaireServant extends CAnnuaire implements IServant {

	/** 
	 * Constructeur
	 */
	public CAnnuaireServant() {
		super();
	}

	/**
	 * retourne tru ou false selon si le canal cette classe a fini de travailler
	 * pour se terminer, le canal doit recevoir : servantFinished
	 * qui est en fait le nom d'un bouton sur la feuille xsl 
	 * @return True si le servant est fini, False sinon
	 */
	public boolean isFinished() {
		if (runtimeData.getParameter("CAnnuaireServantFinished") != null)
			return true;
		return false;
	}

	/**
	 * Ajoute un paramtre au staticData du servant
	 */
	public void setStaticData(ChannelStaticData sd) {
		sd.setParameter("CAnnuaireServantMode", "true");
		super.setStaticData(sd);
	}


	/**
	 * Retourne les Personnes trouves en rsultat de la recherche
	 * @return Object[] ( caster en Personne), Null sinon
	 */
	public Object[] getResults() {
		if (UI.getResults() != null){
			// personne en cours de traitement
            Personne pers = null;
            // enumeration contenant les rsultats de la recherche annuaire avant slection
            Enumeration enum = UI.getResults().elements();
            // radio bouton cas mode single
            String pers_id = null;
            // case  cocher cas mode multiple
            String[] listePers_id = null;
            // vecteur des personnes slectiones 
            Vector res = new Vector();

            // cas fiche
            if (UI.getResults().size() == 1)
            	return UI.getResults().values().toArray();
                
            // cas liste de personnes (avant slection) 
            if (staticData.getParameter("returnServant").equalsIgnoreCase("single")) 
            	pers_id = runtimeData.getParameter("pers_id");
            else if (staticData.getParameter("returnServant").equalsIgnoreCase("multiple"))
                listePers_id = runtimeData.getParameterValues("pers_id[]");

            while (enum.hasMoreElements()) {
            	pers = (Personne)enum.nextElement();
                if (pers_id != null && pers_id.equals(pers.getIdentifiant())) {
                	res.add(pers);
                    break;
                }
                else if (listePers_id != null) {
                	for(int i=0 ; listePers_id != null && i < listePers_id.length ; i++){
                		if (pers.getIdentifiant().equals(listePers_id[i])) 
                			res.add(pers);
                	}
                }       
            }
            return res.toArray();
        }       
        return null;    
	}
}
